package udev 245.4-4ubuntu3 failed to install/upgrade: podproces zainstalowany pakiet udev skrypt post-installation returned error code 1

Bug #1880541 reported by Sebastian "Nait" Kacprzak
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
systemd (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned

Bug Description

[impact]

during upgrade, udev may fail to configure, interrupting the upgrade

[test case]

on 18.04, create a non-system group 'kvm', then upgrade to 20.04

[regression potential]

any regression would likely result in a kvm group that was not properly created, possibly restricting users from using kvm acceleration until the problem was fixed.

[scope]

this is needed only for focal, as it occurs only on upgrade to focal.

[original description]

During the Dist upgrade from 18.04 LTS to 20.04 LTS udev failed to configure interrupting the upgrade.

dpkg complained that kvm already exist but it is not a system group.

From what I saw my user was the only member of kvm group
I don't recall installing kvm manually but I do have Android emulator installed so it is possible that it is related.

Removing kvm group via
groupdel kvm
allowed
dpkg --configure -a
to succeed

ProblemType: Package
DistroRelease: Ubuntu 20.04
Package: udev 245.4-4ubuntu3
ProcVersionSignature: Ubuntu 4.15.0-101.102-generic 4.15.18
Uname: Linux 4.15.0-101-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.11-0ubuntu27
Architecture: amd64
CasperMD5CheckResult: skip
CustomUdevRuleFiles: 56-hpmud.rules 70-snap.core.rules
Date: Mon May 25 11:01:36 2020
ErrorMessage: podproces zainstalowany pakiet udev skrypt post-installation zwrócił kod błędu 1
InstallationDate: Installed on 2017-10-18 (949 days ago)
InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-101-generic root=UUID=1c3374a5-d07b-4588-8159-7607318eb2c9 ro quiet splash vt.handoff=1
Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 3.8.2-0ubuntu2
PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 2.7.17-4
RelatedPackageVersions:
 dpkg 1.19.7ubuntu3
 apt 2.0.2ubuntu0.1
SourcePackage: systemd
Title: package udev 245.4-4ubuntu3 failed to install/upgrade: podproces zainstalowany pakiet udev skrypt post-installation zwrócił kod błędu 1
UpgradeStatus: Upgraded to focal on 2020-05-25 (0 days ago)
dmi.bios.date: 07/18/2018
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P4.80
dmi.board.name: X370 Taichi
dmi.board.vendor: ASRock
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP4.80:bd07/18/2018:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnX370Taichi:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.family: To Be Filled By O.E.M.
dmi.product.name: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.

Revision history for this message
Sebastian "Nait" Kacprzak (naicik) wrote :
description: updated
Revision history for this message
Balint Reczey (rbalint) wrote :

Yes, the kvm group is not created by systemd on 18.04 and users who created it as a non-system group can observe that failure during the upgrade.

Changed in systemd (Ubuntu):
status: New → Confirmed
tags: added: rls-ff-incoming
tags: added: id-5ecbc135f0850f49ac615931
tags: removed: rls-ff-incoming
Changed in systemd (Ubuntu Focal):
milestone: none → ubuntu-20.04.1
Revision history for this message
Balint Reczey (rbalint) wrote :
tags: added: id-5ecfdadcc5bd3d41d5d19e64
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 245.6-1ubuntu1

---------------
systemd (245.6-1ubuntu1) groovy; urgency=medium

  [ Balint Reczey ]
  * Merge to Ubuntu from Debian unstable
  - Dropped changes:
    * Don't try calling NULL callback in bus_wait_for_units_clear.
    * test: Skip test-boot-timestamps on permission denied.
    * From journald: stream pid change newline fix
      - debian/patches/lp1875708/journald-Increase-stdout-buffer-size-sooner-when-almost-f.patch
    * meson: initialize time-epoch to reproducible builds compatible value
  * dhclient-exit-hooks.d/timesyncd: Act only when systemd-timesyncd is enabled
    (LP: #1873031)
    File: debian/extra/dhclient-exit-hooks.d/timesyncd
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=7d5a31fb7523d1ecef0d2932df5efa3b99322919
  * debian/udev.postinst: Allow kvm to be an already present non-system group
    (LP: #1880541)
    File: debian/udev.postinst
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=8b5c31828d4323ddb719326b1316c179b7cdbdef
  * Cherry-pick reversion of detecting WSL by the presence of "microsoft" in osrelease
    File: debian/patches/Revert-detect-virt-also-detect-microsoft-as-WSL.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=e13f4452698b84ecb0ca6b7950b5f0c42c02c2cf

  [ Ryan Harper ]
  * Skip over by-uuid/by-label symlinks for bcache backing and cache devices
    (LP: #1861941)
    File: debian/patches/lp1861941-dont-generate-disk-byuuid-for-bcache-uuid.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=4b9a0e888ca40eaed561ec48aece23218fab18ff

systemd (245.6-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 245.6
  * Rebase patches

  [ Balint Reczey ]
  * debian/tests/boot-and-services: Handle missing fstab (LP: #1877078)

 -- Balint Reczey <email address hidden> Thu, 11 Jun 2020 12:54:02 +0200

Changed in systemd (Ubuntu):
status: Confirmed → Fix Released
Dan Streetman (ddstreet)
description: updated
Revision history for this message
Robie Basak (racb) wrote : Please test proposed package

Hello Sebastian, or anyone else affected,

Accepted systemd into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/245.4-4ubuntu3.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Focal):
status: New → Fix Committed
tags: added: verification-needed verification-needed-focal
Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (systemd/245.4-4ubuntu3.2)

All autopkgtests for the newly accepted systemd (245.4-4ubuntu3.2) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

apt/unknown (armhf)
indicator-session/17.3.20+19.10.20190921-0ubuntu1 (arm64)
dovecot/1:2.3.7.2-1ubuntu3.1 (armhf)
postgresql-12/unknown (armhf)
mir/unknown (armhf)
systemd/245.4-4ubuntu3.2 (amd64)
umockdev/unknown (armhf)
policykit-1/unknown (armhf)
asterisk/unknown (armhf)
anbox/unknown (armhf)
php7.4/unknown (armhf)
ksystemlog/unknown (armhf)
polkit-qt-1/unknown (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Dan Streetman (ddstreet) wrote :
Download full text (4.1 KiB)

ubuntu@lp1880541-f:~$ dpkg -l udev|grep udev
ii udev 245.4-4ubuntu3 amd64 /dev/ and hotplug management daemon
ubuntu@lp1880541-f:~$ sudo groupadd kvm
groupadd: group 'kvm' already exists
ubuntu@lp1880541-f:~$ grep kvm /etc/group
kvm:x:108:
ubuntu@lp1880541-f:~$ sudo groupdel kvm
ubuntu@lp1880541-f:~$ grep kvm /etc/group
ubuntu@lp1880541-f:~$ sudo groupadd kvm
ubuntu@lp1880541-f:~$ grep kvm /etc/group
kvm:x:1001:

ubuntu@lp1880541-f:~$ sudo apt install udev
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  libudev1
The following packages will be upgraded:
  libudev1 udev
2 upgraded, 0 newly installed, 0 to remove and 31 not upgraded.
Need to get 1440 kB of archives.
After this operation, 2048 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 udev amd64 245.4-4ubuntu3.1 [1362 kB]
Get:2 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libudev1 amd64 245.4-4ubuntu3.1 [78.3 kB]
Fetched 1440 kB in 1s (1423 kB/s)
(Reading database ... 66302 files and directories currently installed.)
Preparing to unpack .../udev_245.4-4ubuntu3.1_amd64.deb ...
Unpacking udev (245.4-4ubuntu3.1) over (245.4-4ubuntu3) ...
Preparing to unpack .../libudev1_245.4-4ubuntu3.1_amd64.deb ...
Unpacking libudev1:amd64 (245.4-4ubuntu3.1) over (245.4-4ubuntu3) ...
Setting up libudev1:amd64 (245.4-4ubuntu3.1) ...
Setting up udev (245.4-4ubuntu3.1) ...
The group `kvm' already exists and is not a system group. Exiting.
dpkg: error processing package udev (--configure):
 installed udev package post-installation script subprocess returned error exit status 1
Processing triggers for systemd (245.4-4ubuntu3.1) ...
Processing triggers for man-db (2.9.1-1) ...
Processing triggers for libc-bin (2.31-0ubuntu9) ...
Errors were encountered while processing:
 udev
E: Sub-process /usr/bin/dpkg returned an error code (1)

(clear the error and downgrade udev again, and add -proposed to apt sources)

ubuntu@lp1880541-f:~$ dpkg -l udev|grep udev
ii udev 245.4-4ubuntu3 amd64 /dev/ and hotplug management daemon
ubuntu@lp1880541-f:~$ sudo groupadd kvm
groupadd: group 'kvm' already exists
ubuntu@lp1880541-f:~$ dpkg -l udev|grep udev
ii udev 245.4-4ubuntu3 amd64 /dev/ and hotplug management daemon
ubuntu@lp1880541-f:~$ grep kvm /etc/group
kvm:x:108:
ubuntu@lp1880541-f:~$ sudo groupdel kvm
ubuntu@lp1880541-f:~$ grep kvm /etc/group
ubuntu@lp1880541-f:~$ sudo groupadd kvm
ubuntu@lp1880541-f:~$ grep kvm /etc/group
kvm:x:1001:

ubuntu@lp1880541-f:~$ sudo apt install udev
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  libudev1
The following packages will be upgraded:
  libudev1 udev
2 upgraded, 0 newly installed, 0 to remove and 46 not upgraded.
Need to get 1442 kB of archives.
After this operation, 4096 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://archive.ubuntu.com/ubuntu focal-proposed/main amd64 udev amd64 245...

Read more...

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 245.4-4ubuntu3.2

---------------
systemd (245.4-4ubuntu3.2) focal; urgency=medium

   [ Dan Streetman ]
   * Hotadd only offline memory and CPUs (LP: #1876018)
     File: debian/extra/rules-ubuntu/40-vm-hotadd.rules
     https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=72d815471596056b7727be5b10f87513ff1d5757
   * Lock swap blockdevice while calling mkswap (LP: #1838329)
     Files:
     - d/p/lp1838329/0001-blockdev-propagate-one-more-unexpected-error.patch
     - d/p/lp1838329/0002-makefs-log-about-OOM-condition.patch
     - d/p/lp1838329/0003-dissect-use-log_debug_errno-where-appropriate.patch
     - d/p/lp1838329/0004-blockdev-add-helper-for-locking-whole-block-device.patch
     - d/p/lp1838329/0005-makefs-lock-device-while-we-operate.patch
     - d/p/lp1838329/0006-makefs-normalize-logging-a-bit.patch
     - d/p/lp1838329/0007-cryptsetup-generator-use-systemd-makefs-for-implemen.patch
     https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c81b75c4297cbb04554488b070b6f79996b8cceb

   [ Balint Reczey ]
   * debian/udev.postinst: Allow kvm to be an already present non-system group
     (LP: #1880541)
     File: debian/udev.postinst
     https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=8b5c31828d4323ddb719326b1316c179b7cdbdef
   * d/p/hwdb-Mask-rfkill-event-from-intel-hid-on-HP-platforms.patch:
     hwdb: Mask rfkill event from intel-hid on HP platforms
     (LP: #1883846)
     https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=164c016b466210c7d6d05963fd753eccf4679844
   * journald: stream pid change newline fix (LP: #1875708)
     Files:
     - debian/patches/lp1875708/journald-Increase-stdout-buffer-size-sooner-when-almost-f.patch
     - debian/patches/lp1875708/journald-rework-end-of-line-marker-handling-to-use-a-fiel.patch
     - debian/patches/lp1875708/journald-rework-pid-change-handling.patch
     - debian/patches/lp1875708/journald-use-log_warning_errno-where-appropriate.patch
     - debian/patches/lp1875708/journald-use-the-fact-that-client_context_release-returns.patch
     - debian/patches/lp1875708/man-document-the-new-_LINE_BREAK-type.patch
     - debian/patches/lp1875708/socket-util-introduce-type-safe-dereferencing-wrapper-CMS.patch
     - debian/patches/lp1875708/test-Add-a-test-case-for-15654.patch
     https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=2dc19f7ae4aad7277e9d89849182453ff1d046dc

 -- Dan Streetman <email address hidden> Mon, 06 Jul 2020 17:38:31 -0400

Changed in systemd (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Update Released

The verification of the Stable Release Update for systemd has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers